<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: melon::AnnStructure Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('structmelon_1_1_ann_structure.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmelon_1_1_ann_structure-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">melon::AnnStructure Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p>struct containing all information regarding the structure of a feedforward neural network  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_ann_properties_8h_source.html">AnnProperties.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a6a3a954be4652ddccc8790fca4830a3b" id="r_a6a3a954be4652ddccc8790fca4830a3b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a6a3a954be4652ddccc8790fca4830a3b">numLayers</a></td></tr>
<tr class="separator:a6a3a954be4652ddccc8790fca4830a3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e7a81af797e4f9aa27e70f47c8735e8" id="r_a1e7a81af797e4f9aa27e70f47c8735e8"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1e7a81af797e4f9aa27e70f47c8735e8">inputSize</a></td></tr>
<tr class="separator:a1e7a81af797e4f9aa27e70f47c8735e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a884e5315a0f182176426a8be18436715" id="r_a884e5315a0f182176426a8be18436715"><td class="memItemLeft" align="right" valign="top">std::vector&lt; int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a884e5315a0f182176426a8be18436715">layerSize</a></td></tr>
<tr class="separator:a884e5315a0f182176426a8be18436715"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a105f394f328ec4db9f3b04a42fa620d8" id="r_a105f394f328ec4db9f3b04a42fa620d8"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="namespacemelon.html#a48f12885945641a41597e6668940dc73">ACTIVATION_FUNCTION</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a105f394f328ec4db9f3b04a42fa620d8">activationFunction</a></td></tr>
<tr class="separator:a105f394f328ec4db9f3b04a42fa620d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53f444127c72cd4974588d8fe5bde250" id="r_a53f444127c72cd4974588d8fe5bde250"><td class="memItemLeft" align="right" valign="top">std::vector&lt; int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a53f444127c72cd4974588d8fe5bde250">biasConnect</a></td></tr>
<tr class="separator:a53f444127c72cd4974588d8fe5bde250"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac68a367dad6322936825ea88bcc5a68" id="r_aac68a367dad6322936825ea88bcc5a68"><td class="memItemLeft" align="right" valign="top">std::vector&lt; int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aac68a367dad6322936825ea88bcc5a68">inputConnect</a></td></tr>
<tr class="separator:aac68a367dad6322936825ea88bcc5a68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac38f895d9a1732edfbb473613b20b504" id="r_ac38f895d9a1732edfbb473613b20b504"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::vector&lt; int &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac38f895d9a1732edfbb473613b20b504">layerConnect</a></td></tr>
<tr class="separator:ac38f895d9a1732edfbb473613b20b504"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa74231a71fc4e0d1380b441ece0b527c" id="r_aa74231a71fc4e0d1380b441ece0b527c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa74231a71fc4e0d1380b441ece0b527c">scaledInput</a></td></tr>
<tr class="separator:aa74231a71fc4e0d1380b441ece0b527c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9506ef28c29e149fe0283ad7311fa275" id="r_a9506ef28c29e149fe0283ad7311fa275"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a9506ef28c29e149fe0283ad7311fa275">normalizedOutput</a></td></tr>
<tr class="separator:a9506ef28c29e149fe0283ad7311fa275"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>struct containing all information regarding the structure of a feedforward neural network </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a105f394f328ec4db9f3b04a42fa620d8" name="a105f394f328ec4db9f3b04a42fa620d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a105f394f328ec4db9f3b04a42fa620d8">&#9670;&#160;</a></span>activationFunction</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="namespacemelon.html#a48f12885945641a41597e6668940dc73">ACTIVATION_FUNCTION</a>&gt; melon::AnnStructure::activationFunction</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Vector containing the type of activation function for each layer </p>

</div>
</div>
<a id="a53f444127c72cd4974588d8fe5bde250" name="a53f444127c72cd4974588d8fe5bde250"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53f444127c72cd4974588d8fe5bde250">&#9670;&#160;</a></span>biasConnect</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;int&gt; melon::AnnStructure::biasConnect</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Vector containing an indicator for each layer that shows wether this layer has a bias or not </p>

</div>
</div>
<a id="aac68a367dad6322936825ea88bcc5a68" name="aac68a367dad6322936825ea88bcc5a68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac68a367dad6322936825ea88bcc5a68">&#9670;&#160;</a></span>inputConnect</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;int&gt; melon::AnnStructure::inputConnect</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Vector containing an indicator for each layer that shows wether the network input is incident to this layer or not </p>

</div>
</div>
<a id="a1e7a81af797e4f9aa27e70f47c8735e8" name="a1e7a81af797e4f9aa27e70f47c8735e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e7a81af797e4f9aa27e70f47c8735e8">&#9670;&#160;</a></span>inputSize</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int melon::AnnStructure::inputSize</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Size of the input vector </p>

</div>
</div>
<a id="ac38f895d9a1732edfbb473613b20b504" name="ac38f895d9a1732edfbb473613b20b504"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac38f895d9a1732edfbb473613b20b504">&#9670;&#160;</a></span>layerConnect</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::vector&lt;int&gt; &gt; melon::AnnStructure::layerConnect</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>2D-Vector Indication the connections of each layer </p>

</div>
</div>
<a id="a884e5315a0f182176426a8be18436715" name="a884e5315a0f182176426a8be18436715"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a884e5315a0f182176426a8be18436715">&#9670;&#160;</a></span>layerSize</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;int&gt; melon::AnnStructure::layerSize</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Vector containing the size of each layer </p>

</div>
</div>
<a id="a9506ef28c29e149fe0283ad7311fa275" name="a9506ef28c29e149fe0283ad7311fa275"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9506ef28c29e149fe0283ad7311fa275">&#9670;&#160;</a></span>normalizedOutput</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool melon::AnnStructure::normalizedOutput</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Flag indicating if output should be normalized </p>

</div>
</div>
<a id="a6a3a954be4652ddccc8790fca4830a3b" name="a6a3a954be4652ddccc8790fca4830a3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a3a954be4652ddccc8790fca4830a3b">&#9670;&#160;</a></span>numLayers</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int melon::AnnStructure::numLayers</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Number of network layers </p>

</div>
</div>
<a id="aa74231a71fc4e0d1380b441ece0b527c" name="aa74231a71fc4e0d1380b441ece0b527c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa74231a71fc4e0d1380b441ece0b527c">&#9670;&#160;</a></span>scaledInput</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool melon::AnnStructure::scaledInput</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Flag indicating if scaling is used for input </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>C:/Data/Git/MeLOn/feedforward neural network/model/inc/<a class="el" href="_ann_properties_8h_source.html">AnnProperties.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemelon.html">melon</a></li><li class="navelem"><a class="el" href="structmelon_1_1_ann_structure.html">AnnStructure</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
